TabItemTransObj

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gui
Class TabItemTransObj

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      gui.TabItemTransObj

All Implemented Interfaces:
  org.eclipse.swt.graphics.Drawable, DynamicCmdSelector

public class TabItemTransObj
extends org.eclipse.swt.widgets.Composite
implements DynamicCmdSelector

TabItemTransObj Klasse Dient zum Definieren, Ändern und Entfernen von Transportobjektdefinitionen, dem Laden von und Speichern auf der Festplatte, sowie zur Synchronisation der Daten auf der Client u. Serverseite

Field Summary

Fields inherited from class org.eclipse.swt.widgets.Control
`handle`

Constructor Summary
`TabItemTransObj(MainShell mainSh, org.eclipse.swt.widgets.Composite parent, int style, NetworkHandler netH)` Konstruktor der einen TransObjViewer erzeugt

Method Summary
`void` | `cancelDynamicCmdSelect()` Bricht die dynamische Auswahl von Kommandos ab
`void` | `clickBDelete()` Löschen-Button wurde geklickt Entfernt das aktuell gewählte Transportobjekt aus der Tabelle
`void` | `clickBNew()` Neu-Button wurde geklickt Leert alle Felder und aktiviert diese, famit eine spätere Parameter eingabe möglicht ist
`void` | `clickBSync()` Synchronisieren-Button wurde geklickt Synchronisiert die Transport Objekte in der Tabelle des Clients und in der Datenbank auf der Serverseite
`void` | `connectionDisrupted()` Wird vom Hauptfenster aufgerufen, wenn die Verbindung gerade unterbrochen wurde.
`void` | `connectionEstablished()` Wird vom Hauptfenster aufgerufen, wenn gerade eine Verbindung aufgebaut wurde.
`boolean` | `isDynamicCmdPossible()` Ermittelt, ob die dynamsiche Command-Auswahl möglich ist
`boolean` | `isEditing()` Überprüft, ob der Benutzer gerade eine Änderung macht
`void` | `loadFromFolder()` Veranlasst, dass aus einem Ordner Transportobjekte geladen werden
`void` | `saveAllIntoFolder()` Veranlasst eine Speicherung aller Transportobjekte in einen Ordner
`void` | `startDynamicCmdSelect(java.lang.String cmd)` Startet die dynamische Auswahl von Commands

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, computeSize, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getClientArea, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control
`addControlListener, addFocusListener, addHelpListener, addKeyListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addPaintListener, addTraverseListener, computeSize, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, redraw, redraw, removeControlListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removePaintListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, dispose, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TabItemTransObj

    public TabItemTransObj(MainShell mainSh,
                           org.eclipse.swt.widgets.Composite parent,
                           int style,
                           NetworkHandler netH)

  Konstruktor der einen TransObjViewer erzeugt

Parameters:
  `mainSh` - Referenz auf die MainShell
  `parent` - das Parent Composite
  `style` - der SWT Style
  `netH` - das vorherrschende NetworkHandler Objekt

Method Detail

### connectionEstablished

    public void connectionEstablished()

  Wird vom Hauptfenster aufgerufen, wenn gerade eine Verbindung aufgebaut wurde.

### connectionDisrupted

    public void connectionDisrupted()

  Wird vom Hauptfenster aufgerufen, wenn die Verbindung gerade unterbrochen wurde.

### isDynamicCmdPossible

    public boolean isDynamicCmdPossible()

  Ermittelt, ob die dynamsiche Command-Auswahl möglich ist

### startDynamicCmdSelect

    public void startDynamicCmdSelect(java.lang.String cmd)

  Startet die dynamische Auswahl von Commands

  Specified by:
    `startDynamicCmdSelect` in interface `DynamicCmdSelector`
  Parameters:
    `cmd` - zu ersetzendes Kommando in Form eines Strings

### cancelDynamicCmdSelect

    public void cancelDynamicCmdSelect()

  Bricht die dynamische Auswahl von Kommandos ab

  Specified by:
    `cancelDynamicCmdSelect` in interface `DynamicCmdSelector`

### clickBNew

    public void clickBNew()

  Neu-Button wurde geklickt Leert alle Felder und aktiviert diese, famit eine spätere Parameter eingabe möglicht ist

### isEditing

    public boolean isEditing()

  Überprüft, ob der Benutzer gerade eine Änderung macht

  Returns:
    true, wenn editiert wird, sonst false

### clickBDelete

    public void clickBDelete()

  Löschen-Button wurde geklickt Entfernt das aktuell gewählte Transportobjekt aus der Tabelle

### clickBSync

    public void clickBSync()

  Synchronisieren-Button wurde geklickt Synchronisiert die Transport Objekte in der Tabelle des Clients und in der Datenbank auf der Serverseite

### saveAllIntoFolder

    public void saveAllIntoFolder()

  Veranlasst eine Speicherung aller Transportobjekte in einen Ordner

### loadFromFolder

    public void loadFromFolder()

  Veranlasst, dass aus einem Ordner Transportobjekte geladen werden

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD